package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 项目工时统计接口参数
 * @author: nh
 * @create: 2021-04-13 17:10
 **/
@Data
@ApiModel(value = "ProjectTimeStatisticsParam", description = "项目工时统计接口参数")
public class ProjectTimeStatisticsParam {
    @ApiModelProperty(name = "userId", value = "用户主键")
    private Integer userId;

    @ApiModelProperty(name = "deptId", value = "部门主键")
    private Integer deptId;

    @ApiModelProperty(name = "startDate", value = "开始请假日期")
    private String startDate;

    @ApiModelProperty(name = "endDate", value = "结束请假日期")
    private String endDate;

    @ApiModelProperty(name = "currentPage", value = "当前页")
    private Integer currentPage;

    @ApiModelProperty(name = "pageSize", value = "页面信息数量")
    private Integer pageSize;
}
