package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @description: 项目工时统计
 * @author: nh
 * @create: 2021-04-13 10:05
 **/
@Data
@ApiModel(value = "ProjectWorkTimeStatisticsDto", description = "项目工时统计传输类")
public class ProjectWorkTimeStatisticsDto {
    @ApiModelProperty(name = "projectName", value = "项目名称")
    private String projectName;

//    @ApiModelProperty(name = "userDept", value = "用户填报时部门")
//    private String userDept;

    @ApiModelProperty(name = "username", value = "用户姓名")
    private String username;

    @ApiModelProperty(name = "normalTime", value = "正常工时(人/天)")
    private BigDecimal normalTime;

    @ApiModelProperty(name = "overTime", value = "加班工时(人/天)")
    private BigDecimal overTime;


}
