package cn.wisenergy.oaService;

import cn.wisenergy.model.vo.CreateProjectVo;
import cn.wisenergy.model.vo.ModifyProjectVo;
import cn.wisenergy.oaModel.OaProject;

import java.util.List;

public interface OaProjectService {

    /**
     * 根据部门的oa编号和类型查询oa中的项目，typeId为1查询项目，为2查询商机
     * @param oaDeptNo
     * @param typeId
     * @return
     */
    List<OaProject> getListOaProject(String oaDeptNo, Integer typeId, String projectNameOrNo, List<String> oaProjectIds);

    OaProject getOaProjectByNoAndName(CreateProjectVo createProjectVo, String oaUserId);

    OaProject getByNameAndNo(ModifyProjectVo modifyProjectVo);

}
