package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="WorkOrderChange", description="工单变更记录")
public class WorkOrderChange {

    @ApiModelProperty(name = "id",value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "changeDate",value = "变更日期")
    private Date changeDate;

    @ApiModelProperty(name = "content",value = "操作内容：1:增加 2:删除 3:修改")
    private Integer content;

    @ApiModelProperty(name = "operatorId",value = "操作人id")
    private Integer operatorId;

    @ApiModelProperty(name = "deptId",value = "操作人部门id")
    private Integer deptId;

    @ApiModelProperty(name = "projectId",value = "项目id")
    private Integer projectId;

    @ApiModelProperty(name = "type",value = "工时类型")
    private Integer type;

    @ApiModelProperty(name = "workDay",value = "工单日期")
    private Date workDay;

    @ApiModelProperty(name = "userId",value = "填报人Id")
    private Integer userId;

    @ApiModelProperty(name = "workTime",value = "工时")
    private Integer workTime;

    @ApiModelProperty(name = "des",value = "工作说明")
    private String des;

    @ApiModelProperty(name = "changeReason",value = "修改原因")
    private String changeReason;
}
